Lấy thông tin cơ bản, quan trọng của 1 Mã chứng khoán
curl --request GET \
--url https://api.fireant.vn/symbols/{symbol}/fundamental \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/symbols/{symbol}/fundamental"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/symbols/{symbol}/fundamental', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/symbols/{symbol}/fundamental",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/symbols/{symbol}/fundamental"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fireant.vn/symbols/{symbol}/fundamental")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/symbols/{symbol}/fundamental")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"symbol": "<string>",
"companyType": 0,
"sharesOutstanding": 123,
"freeShares": 123,
"beta": 123,
"dividend": 123,
"dividendYield": 123,
"marketCap": 123,
"low52Week": 123,
"high52Week": 123,
"priceChange1y": 123,
"avgVolume10d": 123,
"avgVolume3m": 123,
"pe": 123,
"eps": 123,
"sales_TTM": 123,
"netProfit_TTM": 123,
"insiderOwnership": 123,
"institutionOwnership": 123,
"foreignOwnership": 123
}Symbols
Lấy thông tin cơ bản, quan trọng của 1 Mã chứng khoán
GET
/
symbols
/
{symbol}
/
fundamental
Lấy thông tin cơ bản, quan trọng của 1 Mã chứng khoán
curl --request GET \
--url https://api.fireant.vn/symbols/{symbol}/fundamental \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/symbols/{symbol}/fundamental"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/symbols/{symbol}/fundamental', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/symbols/{symbol}/fundamental",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/symbols/{symbol}/fundamental"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fireant.vn/symbols/{symbol}/fundamental")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/symbols/{symbol}/fundamental")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"symbol": "<string>",
"companyType": 0,
"sharesOutstanding": 123,
"freeShares": 123,
"beta": 123,
"dividend": 123,
"dividendYield": 123,
"marketCap": 123,
"low52Week": 123,
"high52Week": 123,
"priceChange1y": 123,
"avgVolume10d": 123,
"avgVolume3m": 123,
"pe": 123,
"eps": 123,
"sales_TTM": 123,
"netProfit_TTM": 123,
"insiderOwnership": 123,
"institutionOwnership": 123,
"foreignOwnership": 123
}Ủy quyền
OAuth2 Implicit Grant
Scopes
symbols-read
Đọc thông tin mã chứng khoán
Tham số đường dẫn
Mã chứng khoán
Phản hồi
Thành công
Mã chứng khoán
(General = Doanh nghiệp thông thường, Bank = Ngân hàng, Securities = Công ty chứng khoán, Fund = Quỹ, Insurance = Công ty bảo hiểm)
Tùy chọn có sẵn:
0, 1, 2, 3, 4 Số lượng cổ phiếu đang lưu hành
Số lượng cổ phiếu tự do chuyển nhượng
Chỉ số Beta
Cổ tức
Tỷ suất cổ tức
Giá trị vốn hóa thị trường
Giá thấp nhất 52 tuần (hay 1 năm)
Giá cao nhất 52 tuần (hay 1 năm)
Thay đổi giá 1 năm
Khối lượng giao dịch trung bình 10 phiên gần nhất
Khối lượng giao dịch trung bình 3 tháng gần nhất
PE
EPS
Doanh thu 4 quý liên tiếp
Lợi nhuận 4 quý liên tiếp
Tỉ lệ sở hữu của ban lãnh đạo
Tỉ lệ sở hữu của tổ chức
Tỉ lệ sở hữu của nhà đầu tư nước ngoài